<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ADSL/include/ADSL/DirectiveProcessor.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_edb1b7e8f1a5d5a1b864206edd6d398d.html">ADSL</a></li><li class="navelem"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a></li><li class="navelem"><a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">DirectiveProcessor.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;array&gt;</code><br />
<code>#include &lt;condition_variable&gt;</code><br />
<code>#include &lt;deque&gt;</code><br />
<code>#include &lt;functional&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;<a class="el" href="_a_v_s_directive_8h_source.html">AVSCommon/AVS/AVSDirective.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_directive_handler_interface_8h_source.html">AVSCommon/SDKInterfaces/DirectiveHandlerInterface.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_directive_router_8h_source.html">ADSL/DirectiveRouter.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for DirectiveProcessor.h:</div>
<div class="dyncontent">
<div class="center"><img src="_directive_processor_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_d_s_l_2include_2_a_d_s_l_2_directive_processor_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_d_s_l_2include_2_a_d_s_l_2_directive_processor_8h" id="_2workplace_2avs-device-sdk_2_a_d_s_l_2include_2_a_d_s_l_2_directive_processor_8h">
<area shape="rect" id="node12" href="_a_v_s_directive_8h.html" title="AVSCommon/AVS/AVSDirective.h" alt="" coords="2034,439,2257,464"/>
<area shape="rect" id="node41" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="2474,265,2665,304"/>
<area shape="rect" id="node47" href="_directive_router_8h.html" title="ADSL/DirectiveRouter.h" alt="" coords="2447,105,2610,131"/>
<area shape="rect" id="node15" href="_attachment_manager_interface_8h.html" title="Attachment/AttachmentManager\lInterface.h" alt="" coords="1890,512,2103,551"/>
<area shape="rect" id="node39" href="_a_v_s_message_8h.html" title="AVSMessage.h" alt="" coords="416,1025,529,1051"/>
<area shape="rect" id="node17" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1977,599,2179,637"/>
<area shape="rect" id="node19" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="2282,845,2484,884"/>
<area shape="rect" id="node23" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="1176,685,1377,724"/>
<area shape="rect" id="node22" href="_reader_policy_8h.html" title="AVSCommon/Utils/SDS\l/ReaderPolicy.h" alt="" coords="2166,932,2328,971"/>
<area shape="rect" id="node24" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1878,685,2040,724"/>
<area shape="rect" id="node38" href="_writer_policy_8h.html" title="WriterPolicy.h" alt="" coords="1939,939,2041,964"/>
<area shape="rect" id="node26" href="_shared_data_stream_8h.html" title="SharedDataStream.h" alt="" coords="1517,772,1663,797"/>
<area shape="rect" id="node28" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="1142,932,1318,971"/>
<area shape="rect" id="node33" href="_buffer_layout_8h.html" title="BufferLayout.h" alt="" coords="1327,852,1434,877"/>
<area shape="rect" id="node34" href="_reader_8h.html" title="Reader.h" alt="" coords="1711,852,1786,877"/>
<area shape="rect" id="node37" href="_writer_8h.html" title="Writer.h" alt="" coords="1556,852,1623,877"/>
<area shape="rect" id="node29" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1545,1019,1721,1057"/>
<area shape="rect" id="node31" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1523,1105,1737,1144"/>
<area shape="rect" id="node32" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1070,1105,1246,1144"/>
<area shape="rect" id="node40" href="_a_v_s_message_header_8h.html" title="AVSMessageHeader.h" alt="" coords="384,1112,539,1137"/>
<area shape="rect" id="node42" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="2225,352,2458,391"/>
<area shape="rect" id="node46" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="2532,352,2757,391"/>
<area shape="rect" id="node43" href="_namespace_and_name_8h.html" title="NamespaceAndName.h" alt="" coords="1706,439,1869,464"/>
<area shape="rect" id="node44" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="1892,439,2010,464"/>
<area shape="rect" id="node49" href="_handler_and_policy_8h.html" title="AVSCommon/AVS/HandlerAnd\lPolicy.h" alt="" coords="2426,179,2631,217"/>
<area shape="rect" id="node50" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2539,1019,2726,1057"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_directive_processor_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_a_d_s_l_2include_2_a_d_s_l_2_directive_processor_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_a_d_s_l_2include_2_a_d_s_l_2_directive_processor_8hdep" id="_2workplace_2avs-device-sdk_2_a_d_s_l_2include_2_a_d_s_l_2_directive_processor_8hdep">
<area shape="rect" id="node2" href="_directive_sequencer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/include/ADSL\l/DirectiveSequencer.h" alt="" coords="1439,105,1609,157"/>
<area shape="rect" id="node25" href="_directive_processor_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveProcessor.cpp" alt="" coords="1633,112,1879,151"/>
<area shape="rect" id="node26" href="_directive_processor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/DirectiveProcessor\lTest.cpp" alt="" coords="1903,105,2129,157"/>
<area shape="rect" id="node3" href="_directive_sequencer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/src/DirectiveSequencer.cpp" alt="" coords="5,219,256,257"/>
<area shape="rect" id="node4" href="_directive_sequencer_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/DirectiveSequencer\lTest.cpp" alt="" coords="281,212,511,264"/>
<area shape="rect" id="node5" href="_message_interpreter_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ADSL/test/MessageInterpreter\lTest.cpp" alt="" coords="535,212,764,264"/>
<area shape="rect" id="node6" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="788,205,1015,271"/>
<area shape="rect" id="node17" href="_revoke_authorization_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/a4btest/RevokeAuthorization\lHandlerTest.cpp" alt="" coords="1040,205,1283,271"/>
<area shape="rect" id="node18" href="_endpoint_handler_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/EndpointHandler\lTest.cpp" alt="" coords="1308,205,1506,271"/>
<area shape="rect" id="node19" href="_user_inactivity_monitor_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/System/test/UserInactivityMonitor\lTest.cpp" alt="" coords="1530,205,1753,271"/>
<area shape="rect" id="node20" href="_alerts_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlertsIntegrationTest.cpp" alt="" coords="1777,212,1949,264"/>
<area shape="rect" id="node21" href="_alexa_directive_sequencer_library_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AlexaDirectiveSequencerLibrary\lTest.cpp" alt="" coords="1972,205,2188,271"/>
<area shape="rect" id="node22" href="_audio_input_processor_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioInputProcessorIntegration\lTest.cpp" alt="" coords="2212,205,2423,271"/>
<area shape="rect" id="node23" href="_audio_player_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/AudioPlayerIntegrationTest.cpp" alt="" coords="2447,212,2657,264"/>
<area shape="rect" id="node24" href="_speech_synthesizer_integration_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/Integration/test\l/SpeechSynthesizerIntegration\lTest.cpp" alt="" coords="2681,205,2884,271"/>
<area shape="rect" id="node7" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="635,319,864,371"/>
<area shape="rect" id="node8" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="789,419,1012,471"/>
<area shape="rect" id="node15" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="941,319,1156,371"/>
<area shape="rect" id="node9" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="564,519,783,571"/>
<area shape="rect" id="node14" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="806,519,1013,571"/>
<area shape="rect" id="node10" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="564,619,783,671"/>
<area shape="rect" id="node13" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="807,619,1009,671"/>
<area shape="rect" id="node11" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="574,719,773,757"/>
<area shape="rect" id="node12" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="852,719,1132,757"/>
<area shape="rect" id="node16" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="1086,425,1362,464"/>
</map>
</div>
</div>
<p><a href="_directive_processor_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_processor.html">alexaClientSDK::adsl::DirectiveProcessor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1adsl"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1adsl.html">alexaClientSDK::adsl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
